////////////////////////////////////////////////////////////////////
//
//		CLASS : MessageDia
//		==================
//    the dialog has two buttons, variable ok is the interface 
//    to the user, ok is true when the OK button is pressed, 
//    false means CANCEL button is pressed.    
//     Last_Modified: On 8/5/98.
//
////////////////////////////////////////////////////////////////////

import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;
import java.util.*;

class MessageDia extends Dialog {

	int ok = 0;	

	public MessageDia(Frame parent, String str, boolean flag) {

		super(parent, "Warning", true);
		setLayout(new BorderLayout());
		add("Center", new Label(str, Label.CENTER));
		Panel p = new Panel();
		p.add(new Button(" OK "));
		if (flag) {
			p.add(new Label("  "));
			p.add(new Button("Cancel"));
		}
		add("South", p);
		setResizable(true);
		resize(450, 200);
		show(true);
	}

	public boolean action(Event evt, Object obj) {
		if (evt.target instanceof Button) {
			if (" OK ".equals(obj)) {
				ok = 1;
			}
			if ("Cancel".equals(obj)) {
				ok = 2;
			}
			if ((" OK ".equals(obj)) || ("Cancel".equals(obj))) {
				dispose();
				return true;
			}
		}
		return false;
	}
}
